Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Doom II Guy

Heretic Help

Recommended Posts

Yeah yeah, not Doom...blah blah blah. Anyway, I have a brand new computer and Heretic runs painfully slow with the Sound Effects on! What gives?

Share this post


Link to post

You are using XP. Get Zdoom. And yes Heretic IS Doom because it is based off the Doom engine. So is Hexen, Strife and Hacx. Hell, even the Chex Quest games are Doom engine games.

Share this post


Link to post
Doom II Guy said:

Thanks, I already had ZDoom for Doom. It works good now, but I have the same problem for Hexen now. What to do...


Download a Hexen port like Vavoom. I think you're using Windows XP, if so, trust me, your old DOS games won't work.

Share this post


Link to post

ZDoom works with Hexen and Heretic just as it works with the Dooms. I believe there's an -iwad command line extension that allows you to pick which IWAD (and thus game) you want to play. It may work with Strife as well.

Share this post


Link to post

No it won't work with Strife or Hexen. Hexen support is in the works and the Strife source code has been "lost" so any attempts to recreate the engine would be a shot in the dark, though it could be done.

Share this post


Link to post

Actually I hear Hexen support is about 70% done in the newest Zdoom beta (beta 24).

Share this post


Link to post
Liam the Bard said:

Actually I hear Hexen support is about 70% done in the newest Zdoom beta (beta 24).


Great! Now if Randy would get to making a totally new, from the ground up Strife code I would send 5000 whores to his house for him to have for the rest of his life.

Share this post


Link to post

Well this is no good. I downloaded Vavoom, and none of the models in Hexen show up! That means no weapons, and the enemies don't even move. What's wrong with it?

Share this post


Link to post

Forget Vavoom. It's ugly and slow. For HeXen, I would suggest (though others will laugh at me for it) DXHexen or Hexen32. Look here for them.

Share this post


Link to post
Liam the Bard said:

Actually I hear Hexen support is about 70% done in the newest Zdoom beta (beta 24).

What? I thought it was beta 33. I cannot wait until Randy finishes up with the 1.23 beta and gets HeXen fully integrated.

Share this post


Link to post
DooMBoy said:

Forget Vavoom. It's ugly and slow.


DUDE, I should sic Kat on you or something. Vavoom is only 'ugly and slow' if you're stupid enough to run it in software mode.

For HeXen, I would suggest (though others will laugh at me for it) DXHexen or Hexen32. Look here for them.


Jhexen is the obvious choice unless you have a stone-age computer, in which case you probably can run the original Hexen anyway.

Share this post


Link to post
DooMBoy said:

What? I thought it was beta 33. I cannot wait until Randy finishes up with the 1.23 beta and gets HeXen fully integrated.


HA! But you forgot that I DON'T LIKE ZDOOM AND HAVE NO FUCKING IDEA NOR DO I CARE WHICH BETA IS THE LATEST ONE AHAHAHAHAHROFLR^.$GOVMPH

Uh, anyway deadnail told me so ask him.

Share this post


Link to post
Liam the Bard said:

HA! But you forgot that I DON'T LIKE ZDOOM AND HAVE NO FUCKING IDEA NOR DO I CARE WHICH BETA IS THE LATEST ONE AHAHAHAHAHROFLR^.$GOVMPH

Uh, anyway deadnail told me so ask him.

HHOOHOHOHOHOHO!!! THAT'S REALLY FUCKING ODD, SINCE ALL THE PICS YOU TAKE WITH YOUR NEWSTUFF REVIEWS ARE FROM ZDOOM!!!!!$#%%%&U^
/me gags

Share this post


Link to post

Yes but which Zdoom beta am I using? NOT EVEN I KNOW

Share this post


Link to post

It's a shot in the dark, but I guess and say it's b33 to judge by the screenshots.

Share this post


Link to post
bigbadgangsta said:

Lets play the "What Beta Is Liam Using" guessing game!
1.22!!!

ok, i think he's using 1.18 beta -5 h4r h4r h4r!

and doom II guy, try jheretic and jhexen, they own. doomsdayhq.com

Share this post


Link to post

xp doesn't have dos.

THANK GOD IM PLANNING ON GETTING Win ME!

wait a second, can't win xp run command.com?
command.com is the binary for dos.

Share this post


Link to post
RailGunner said:

THANK GOD IM PLANNING ON GETTING Win ME!

wait a second, can't win xp run command.com?
command.com is the binary for dos.


command.com is not the binary for dos. command.com is a CLI.

but anyway, all of XP's minimal dos support is emulated, because there is no dos core to run dos stuffzorz. win95/98/me, when asked to run a dos app, allow it to run off of the dos core that is underneath these OSes. XP can't do that; it does the above instead. the end result is that anything other than the simplest little dosapp has problems in XP. get a windoze doom port.

Share this post


Link to post
oblivion said:

win95/98/me, when asked to run a dos app, allow it to run off of the dos core that is underneath these OSes.

Actually, WinME doesn't support DOS, XP at least tries Compatibility modes, which end up working much better than ME's horrible emulation. WinME is also the worst Microsoft OS ever made.

Share this post


Link to post
Lüt said:

Actually, WinME doesn't support DOS, XP at least tries Compatibility modes, which end up working much better than ME's horrible emulation. WinME is also the worst Microsoft OS ever made.


really? i thought ME was just 98SE (which has robust dos support) with a few pinches and tucks here and there.

Share this post


Link to post
oblivion said:

command.com is not the binary for dos. command.com is a CLI.


command.com IS the binary for DOS, although most of what it does in Win95/98 is parse out the command line and pass it over to the routines in io.sys.

That said, I think everyone should make sure they have an MS-DOS 6.22 boot disk.

Share this post


Link to post

Actually, WinME runs Doom like a charm here. Although I usually run MBF instead.

Share this post


Link to post
Guest
This topic is now closed to further replies.
×